## plasma-vault 6.5.5+p24.04+vstable+git20260129.0115

=== debian/changelog ===
plasma-vault (6.5.5+p24.04+vstable+git20260129.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:15:29 +0000

plasma-vault (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:54 +1000
