=== debian/changelog ===
plasma-vault (6.5.5+p24.04+vstable+git20260130.0806-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:06:41 +0000
