## plasma-vault 6.5.5+p24.04+vunstable+git20260201.0726

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
