=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                gocryptfs,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6networkmanagerqt-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.5~),
-               libplasma-dev (>= 6.5.5~),
-               libplasmaactivities-dev (>= 6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6networkmanagerqt-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libksysguard-dev (>= 4:6.6.1~),
+               libplasma-dev (>= 6.6.1~),
+               libplasmaactivities-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-vault
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
