## plasma-vault 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(PlasmaVault)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 # Extra CMake stuff
 include(FeatureSummary)
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
