=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
                libkf6networkmanagerqt-dev (>= 6.22.0~),
                libkf6service-dev (>= 6.22.0~),
                libkf6widgetsaddons-dev (>= 6.22.0~),
-               libksysguard-dev (>= 4:6.6.1~),
-               libplasma-dev (>= 6.6.1~),
-               libplasmaactivities-dev (>= 6.6.1~),
+               libksysguard-dev (>= 4:6.6.2~),
+               libplasma-dev (>= 6.6.2~),
+               libplasmaactivities-dev (>= 6.6.2~),
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
